=== debian/changelog ===
libwebp (1.3.2-0.4~mx23) mx; urgency=medium

  * Backport for MX-23 to get the new libsharpyuv

 -- Timothy E. Harris <maintainer@mxrepo.com>  Mon, 25 Mar 2024 22:09:51 -0400

libwebp (1.3.2-0.4) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: Introduce pkg.libwebp.notiff build profile to
    break the build-dep loop between libwebp and tiff. Mark build-dep
    libtiff-dev with <!pkg.libwebp.notiff>.
    (Closes: #1055434)

 -- Boyuan Yang <byang@debian.org>  Fri, 02 Feb 2024 15:27:04 -0500

libwebp (1.3.2-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix invalid incremental decoding check. (Closes: #1052447)
  * Fix next is invalid pointer when WebPSafeMalloc fails
  * Fix static analyzer warnings.

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 22 Sep 2023 09:41:18 +0200

libwebp (1.3.2-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: Add missing dependency libwebp-dev => libsharpyuv-dev.
    (Closes: #1052355)

 -- Boyuan Yang <byang@debian.org>  Wed, 20 Sep 2023 15:59:13 -0400

libwebp (1.3.2-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Wed, 20 Sep 2023 11:03:28 -0400

libwebp (1.3.2-0.1~exp2) experimental; urgency=medium

  * Non-maintainer upload.

  [ Gianfranco Costamagna ]
  * Also install .a files again.
  * Make sure we have built and installed anim_dump and anim_diff.
    (Closes: #1023482)

 -- Boyuan Yang <byang@debian.org>  Fri, 15 Sep 2023 14:41:40 -0400

libwebp (1.3.2-0.1~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * New upstream release 1.3.2.
    + The 1.3.x branch introduces libsharpyuv, which will be introduced
      as separate Debian binary packages. (Closes: #1040970)
    + CVE-2023-4863 is handled in this release. (LP: #2035220)
  * debian/gbp.conf: Use ignore-branch=True to avoid limitation on
    experimental branch.
  * debian/control:
    + Drop unnecessary build-dependency on autotools-related packages.
    + Add build-dependency on pkg-config.
    + Migrate buildsystem to cmake. (Closes: #1040972, LP: #2013083)
    + Apply RPATH-related hotfix before debhelper compat level 14.
    + Add new binary packages: libsharpyuv-dev, libsharpyuv0,
      libwebpdecoder3.
  * debian/libwebp-dev.install: Do not install static library anymore
    since CMake is not building them by default.
  * debian/rules:
    + Enforce --buildsystem=cmake.
    + Drop explicit option --enable-aligned, this option has been removed
      by libwebp upstream (see upstream ChangeLog).
  * debian/docs: Rename to libwebp-dev.docs to avoid confusion.
  * debian/patches: Drop all old patches, merged upstream.
  * debian/patches/:
    + 0001-CMakeLists.txt-Install-CMake-Config-to-arch-dep-loca.patch:
      Add patch to install CMake Config files to architecture-dependent
      location instead to retain Multi-Arch property of dev packages.
  * debian/copyright: Completely rewritten in machine-readable copyright
    format.

 -- Boyuan Yang <byang@debian.org>  Thu, 14 Sep 2023 22:22:30 -0400

libwebp (1.2.4-0.3) unstable; urgency=medium

  * Non-maintainer upload

  [ Marc Deslauriers ]
  * SECURITY UPDATE: Heap buffer overflow in BuildHuffmanTable
    - debian/patches/CVE-2023-4863.patch: fix OOB write in
      BuildHuffmanTable in src/dec/vp8l_dec.c, src/dec/vp8li_dec.h,
      src/utils/huffman_utils.c, src/utils/huffman_utils.h.
    - CVE-2023-4863 (Closes: #1051786)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 14 Sep 2023 17:44:43 +0200
