## libwebp 1.4.0

=== debian/changelog ===
libwebp (1.4.0-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable.
  * debian/gbp.conf: Set git packaging branch names following DEP14.

 -- Boyuan Yang <byang@debian.org>  Sun, 05 May 2024 09:43:44 -0400

libwebp (1.4.0-0.1~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
  * debian/patches: Drop patches merged upstream.
  * debian/control: Replace pkg-config with pkgconf.
  * debian/control: Bump Standards-Version to 4.7.0.

 -- Boyuan Yang <byang@debian.org>  Wed, 01 May 2024 09:02:06 -0400
