=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: libwebp
 Section: libs
 Priority: optional
-Maintainer: Timothy E. Harris <maintainer@mxrepo.com>
-XSBC-Original-Maintainer: Jeff Breidenbach <jab@debian.org>
+Maintainer: Jeff Breidenbach <jab@debian.org>
 Rules-Requires-Root: no
 Build-Depends:
  cmake,
@@ -12,8 +11,8 @@
  libjpeg-dev,
  libpng-dev,
  libtiff-dev <!pkg.libwebp.notiff>,
- pkg-config,
-Standards-Version: 4.6.2
+ pkgconf,
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian/libwebp
 Vcs-Git: https://salsa.debian.org/debian/libwebp.git
 Homepage: https://developers.google.com/speed/webp/
