## libwebp 1.5.0

=== debian/changelog ===
libwebp (1.5.0-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Thu, 09 Jan 2025 16:27:01 -0500

libwebp (1.5.0~rc1-0.1~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * New upstream RC release.
  * debian/control: Move package description to source package section.
    Update binary package descriptions accordingly.
  * debian/copyright: Refresh information.
  * debian/patches/install-additional-tools.patch: Unfuzz the patch.

 -- Boyuan Yang <byang@debian.org>  Sat, 14 Dec 2024 23:50:37 -0500
