=== debian/control ===
--- 
+++ 
@@ -16,6 +16,11 @@
 Vcs-Browser: https://salsa.debian.org/debian/libwebp
 Vcs-Git: https://salsa.debian.org/debian/libwebp.git
 Homepage: https://developers.google.com/speed/webp/
+Description: Lossy compression of digital photographic images
+ Image Compression format, based on the VP8 codec.
+ WebP uses the modern VP8 compression format to deliver efficient
+ compression of images for the web. More than 30% extra gain over
+ optimized JPEG, for same quality, is not unusual.
 
 Package: libwebp-dev
 Section: libdevel
@@ -28,11 +33,8 @@
  libwebpdecoder3 (= ${binary:Version}),
  libsharpyuv-dev,
  ${misc:Depends},
-Description: Lossy compression of digital photographic images
- Image Compression format, based on the VP8 codec.
- WebP uses the modern VP8 compression format to deliver efficient
- compression of images for the web. More than 30% extra gain over
- optimized JPEG, for same quality, is not unusual.
+Description: ${source:Synopsis} (development files)
+ ${source:Extended-Description}
 
 Package: libwebp7
 Architecture: any
@@ -42,11 +44,8 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
-Description: Lossy compression of digital photographic images
- Image Compression format, based on the VP8 codec.
- WebP uses the modern VP8 compression format to deliver efficient
- compression of images for the web. More than 30% extra gain over
- optimized JPEG, for same quality, is not unusual.
+Description: ${source:Synopsis} (shared library)
+ ${source:Extended-Description}
 
 Package: libwebpdemux2
 Architecture: any
@@ -56,11 +55,8 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
-Description: Lossy compression of digital photographic images.
- Image Compression format, based on the VP8 codec.
- WebP uses the modern VP8 compression format to deliver efficient
- compression of images for the web. More than 30% extra gain over
- optimized JPEG, for same quality, is not unusual.
+Description: ${source:Synopsis} (libwebpdemux library)
+ ${source:Extended-Description}
 
 Package: libwebpmux3
 Architecture: any
@@ -70,11 +66,8 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
-Description: Lossy compression of digital photographic images
- Image Compression format, based on the VP8 codec.
- WebP uses the modern VP8 compression format to deliver efficient
- compression of images for the web. More than 30% extra gain over
- optimized JPEG, for same quality, is not unusual.
+Description: ${source:Synopsis} (libwebpmux library)
+ ${source:Extended-Description}
 
 Package: libwebpdecoder3
 Architecture: any
@@ -123,8 +116,8 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
-Description: Lossy compression of digital photographic images
- Image Compression format, based on the VP8 codec.
- WebP uses the modern VP8 compression format to deliver efficient
- compression of images for the web. More than 30% extra gain over
- optimized JPEG, for same quality, is not unusual.
+Description: ${source:Synopsis} (utilities)
+ ${source:Extended-Description}
+ .
+ This package provides executable utilities provided by
+ libwebp project.
