=== debian/watch ===
version=4
opts="pgpsigurlmangle=s%$%.asc%,uversionmangle=s/(\d)[_\.\-\+]?(rc)[.]?(\d*)$/$1~$2$3/" \
  https://storage.googleapis.com/downloads.webmproject.org/releases/webp/index.html \
  @PACKAGE@[-_]?(\d(?:[\-+\.:\~\d]|rc)*)@ARCHIVE_EXT@
